> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a scoring attributes report



## OpenAPI

````yaml POST /v1/scoring_attributes/reports
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/scoring_attributes/reports:
    post:
      tags:
        - Scoring Attributes
      summary: Create a scoring attributes report
      operationId: scoring-attributes-report-create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReportRequest'
      responses:
        '201':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  report_id:
                    $ref: '#/components/schemas/ReportId'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportBadRequestResponse'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    ReportRequest:
      type: object
      required:
        - lender_reference
        - customer_identifier
        - purpose
        - cutoff_date
        - institutions
        - accounts
        - transactions
      properties:
        lender_reference:
          $ref: '#/components/schemas/LenderReference'
        customer_identifier:
          $ref: '#/components/schemas/CustomerIdentifier'
        purpose:
          $ref: '#/components/schemas/Purpose'
        cutoff_date:
          $ref: '#/components/schemas/CutoffDate'
        loan_data_enabled:
          type: boolean
          description: >
            This field indicates whether the lender wants to include any
            supplied credit card and loan data in the calculation of metrics. 
            Value defaults to false if field is not specified.
          nullable: true
        institutions:
          type: array
          items:
            type: object
            required:
              - identifier
              - name
              - data_source
            properties:
              identifier:
                type: string
                description: This is a unique identifier for the institution.
                example: inst-9999
              name:
                type: string
                description: This is the name of the financial institution.
                example: Bank of America
              data_source:
                type: string
                enum:
                  - aggregation
                  - direct
                description: >
                  This field indicates where the data for this institution is
                  sourced from. Valid values are ‘aggregation’ if the data is
                  provided via a banking aggregation provider such as Truv, and
                  ‘direct’ if the data is sourced directly from the financial
                  institution.
                example: aggregation
        accounts:
          type: array
          items:
            type: object
            required:
              - identifier
              - institution_identifier
              - type
              - balance_amount
              - balance_date
            properties:
              identifier:
                type: string
                description: >
                  This is a unique identifier for the account.  If you are using
                  an actual account number, please provide an obfuscated number
                  that only shows the last 4 digits (e.g. XXXX1234).
                example: acct-4567
              institution_identifier:
                type: string
                description: This is a unique identifier for the account's institution.
                example: inst-9999
              type:
                type: string
                enum:
                  - checking
                  - savings
                  - cd
                  - mm
                  - deposit
                  - credit_card
                  - loan
                description: >
                  This field indicates the type of account.  Valid values are
                  ‘checking’, ‘savings’, ‘cd’, ‘mm’ (money market), ‘deposit’
                  (for all other deposit account types, including prepaid
                  accounts), ‘credit_card’ and 'loan' for all other loan
                  accounts.
                example: checking
              balance_amount:
                type: number
                format: double
                description: >
                  This is current ending balance for the account.  This should
                  reflect posted transactions  It should not be the available
                  balance which includes pending transactions.  For deposit type
                  accounts, a positive balance indicates a positive balance held
                  by the customer whereas a negative balance means that the
                  account has been overdrafted.  For loan and credit card
                  accounts, a positive balance indicates the amount that the
                  customer owes the lender whereas a negative balance indicates
                  that the bank owes the customer (less typical).
                example: 35.22
              balance_date:
                type: string
                pattern: ^\d{4}-\d{2}-\d{2}$
                description: This is the as of date for the provided balance.
                example: '2021-03-31'
              autopay:
                type: boolean
                description: >
                  Indicates whether the account is used as the ach autopay
                  account for the loan product being underwritten.
                nullable: true
        transactions:
          type: array
          items:
            type: object
            required:
              - identifier
              - account_identifier
              - post_date
              - amount
              - status
              - description
            properties:
              identifier:
                type: string
                description: This is a unique identifier for the transaction.
                example: tran-2222
              account_identifier:
                type: string
                description: This is a unique identifier for the transaction's account.
                example: acct-4567
              post_date:
                type: string
                pattern: ^\d{4}-\d{2}-\d{2}$
                description: >-
                  This is the date that the transaction was posted to the
                  account.
                example: '2021-03-03'
              amount:
                type: number
                format: double
                description: >
                  This is the amount of the transaction.  Negative amounts
                  indicate withdrawals from the account whereas positive amounts
                  indicate deposits to the account.  This is true for both
                  deposit related and loan related accounts.

                  Note: Some aggregators use positive amounts to indicate
                  withdrawals and the signs need to be reversed prior to
                  submission.
                example: -100.03
              status:
                type: string
                enum:
                  - posted
                  - pending
                description: >
                  This field indicates the posting status.  Valid values are
                  ‘posted’ and ‘pending’.
                example: posted
              description:
                type: string
                description: >
                  This is the transaction description.  Provide as much
                  description information as possible. Memo, check number and
                  other supplemental fields can be concatenated.

                  This field can be de-personalized by replacing the first and
                  last name with \<FNAME\> and \<LNAME\> respectively.  If you
                  choose to de-personalize the description, please note that
                  your match should be scoped properly, e.g. contain parts of
                  both first and last name.  For example 'Dave' is both a first
                  name and also commonly used in merchant names (e.g. Dave and
                  Busters). An unscoped match for this first name would result
                  in other information from being improperly removed.
                example: Local Merchant Purchase
    ReportId:
      type: string
      description: >
        This is a unique report_id generated by the scoring attributes API to
        identify a report.
    CreateReportBadRequestResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - incorrect_parameters
              example: incorrect_parameters
            message:
              type: string
              enum:
                - Incorrect request headers
                - Incorrect request body json
              example: Incorrect request body json
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    LenderReference:
      type: string
      description: >
        This is the value that can be used by the lender to identify the report
        request.  For example, this could be the loan application number.
      example: appl-1234
    CustomerIdentifier:
      type: string
      description: >
        This is a customer level unique identifier.  This key should not use
        personally identifiable information such as SSN or government ID
        numbers.
      example: cust-9999
    Purpose:
      type: string
      enum:
        - decisioning
        - verification
        - analytics
      description: >
        This field indicates the purpose of the report.  Valid values are:
        ‘decisioning’ for FCRA credit decisioning, ‘verification’ for non-FCRA
        underwriting verifications and ‘analytics’ for retroactive reports used
        solely for analytical purposes.
      example: decisioning
    CutoffDate:
      type: string
      pattern: ^\d{4}-\d{2}-\d{2}$
      description: >
        The latest date of financial activity that will be included in the
        report.  In most cases, this should be set to the current date or
        application date.  In the case of retro-scored reports, this date will
        be a date in the past.
      example: '2021-03-31'
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````